/*********************************************************************
*               (c) SEGGER Microcontroller GmbH & Co. KG             *
*                        The Embedded Experts                        *
*                           www.segger.com                           *
**********************************************************************

-------------------------- END-OF-HEADER -----------------------------

File    : main.c
Purpose :
*/

/*********************************************************************
*
*       Local functions
*
**********************************************************************
*/

static volatile int _Cnt;

/*********************************************************************
*
*       _Delay
*
*  Function description
*    Creates delay via delay loops.
*/
void _Delay(int DelayLoops) {
  do {} while (--DelayLoops > 0);
}

/*********************************************************************
*
*       Global functions
*
**********************************************************************
*/

#ifndef __NO_SYSTEM_INIT
void SystemInit()
{}
#endif

/*********************************************************************
*
*       _Delay
*
*  Function description
*    Creates delay via delay loops.
*/
void main() {
  _Cnt = 0;
  do {
    _Cnt++;
    _Delay(0);
    _Cnt++;
    _Cnt++;
    _Cnt++;
    _Delay(2);
    _Cnt++;
    _Cnt++;
    _Cnt++;
  } while (1);
}

/*************************** End of file ****************************/
